com.intellectualcrafters.json

## Class Property

- java.lang.Object
- - com.intellectualcrafters.json.Property

-     public class Property
      extends java.lang.Object

  Converts a Property file data into JSONObject and back.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONObject` | `toJSONObject(java.util.Properties properties)` Converts a property file object into a JSONObject.
    `static java.util.Properties` | `toProperties(JSONObject jo)` Converts the JSONObject into a property file object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### toJSONObject

          public static JSONObject toJSONObject(java.util.Properties properties)
                                         throws JSONException

      Converts a property file object into a JSONObject. The property file object is a table of name value pairs.
      Parameters:
        `properties` - java.util.Properties
      Returns:
        JSONObject
      Throws:
        `JSONException`

    - #### toProperties

          public static java.util.Properties toProperties(JSONObject jo)
                                                   throws JSONException

      Converts the JSONObject into a property file object.
      Parameters:
        `jo` - JSONObject
      Returns:
        java.util.Properties
      Throws:
        `JSONException`